#!/usr/bin/perl

use strict;
require "/usr/share/cmcdwnlr2/download.pl";

unless (@ARGV[0]) {
    print("Usage: $0 HTTP_PATH [REGEX] \n");
    exit 1;
} elsif (@ARGV[1]) {
    my $in = @ARGV[1];
    my $html = get_html(@ARGV[0]);
    if (parse($html, $in)) {
        passed($in);
    }
} else {
    my $in;
    my $html = get_html(@ARGV[0]);    
    do {
        print "Enter your regular expression: ";
        $in = <STDIN>;
        $in =~ s/\n//g;
        if (parse($html, $in)) {
            passed($in);
        }
    } while ($in)
}

sub passed {
    my $in = shift;
    print "If this is what you want, copy this into your configuration file:\n";
    print "   \"$in\" \n";
}
